Sunday, September 21, 2014

Гибридные приложения (HTML5) и Android 2.3.x

Можно сказать, что эта связка уже не работает. Я проверил несколько фрейморков на эмуляторе андроид 2.3.3 (последняя версия этой ветки 2.3.7) - ни один не работает.

Framework7 отображается просто криво (в неположенном месте). Клики (тачи) не работают.
AppFramework отображается, но клики не работают.
Ratchet отображается, но клики не работают.

Так что минимальной версией андроида для гибридных приложений можно считать 4.0.x

К слову сказать, что на сентябрь 2014 года доля андроид 2.3.х составляет примерно 11%



В марте 2014 года составляла примерно 20%. Предполагаю, что доля 2.3.х падает за счёт появления новых и недорогих устройств на базе 4.4 (например, билайн смарт 2 и подобные).

No comments: